// Definicija klase redova za cekanje figura (Red).

#ifndef _red_h_
#define _red_h_

#include "kolekc2.h"

class Red : public Kolekcija2 {
public:
  Red () : Kolekcija2 () {}                   // Stavaranje praznog reda.
  Red (const Figura &ff) : Kolekcija2 (ff) {} // Konverzija figure u red.
  Kolekcija & operator+= (const Figura &ff) { // Dodavanje figure.
    Elem *novi = new Elem (ff.kopija()); if (!novi) exit (1);
    if (!prvi) prvi = novi; else posl->sled = novi;
    posl = novi;
    duz++;
    return *this;
  }    
  const char *vrsta () const { return "Red"; } // Vrsta kolekcije.
  Kolekcija *kopija () const                   // Kopija kolekcije.
    { return new Red (*this); }
} ;

#endif;
