// Definicija klase redova za stekove figura (Stek).

#ifndef _stek3_h_
#define _stek3_h_

#include "kolekc2.h"

class Stek : public Kolekcija2 {
public:
  Stek () : Kolekcija2 () {}                  // Stavaranje praznog steka.
  Stek (const Figura &ff) : Kolekcija2 (ff){} // Konverzija figure u stek.
  Kolekcija & operator+= (const Figura &ff) { // Dodavanje figure.
    Elem *novi = new Elem (ff.kopija(), prvi); if (!novi) exit (1);
    prvi = novi; if (!posl) posl = novi;
    duz++;
    return *this;
  }
  const char *vrsta () const { return "Stek"; } // Vrsta kolekcije.
  Kolekcija *kopija () const                    // Kopija kolekcije.
    { return new Stek (*this);  }
} ;

#endif;
