class String {
  char *niz;                          // Pokazivac na sam tekst.
public:
  String () { niz = 0; }              // Inicijalizacija praznog niza.
  String (const char *) ;             // Inicijalizacija nizom znakova.
  String (const String &) ;           // Inicijalizacija tipom String.
  ~String () ;                        // Unistavanje objekta tipa String.
  void pisi () const;                 // Ispisivanje niza.
} ;

#include <string.h>
#include <iostream.h>

String::String (const char *t)
  { if ((niz = new char [strlen(t)+1]) != 0) strcpy (niz, t); }

String::String (const String &s)
  { if ((niz = new char [strlen(s.niz)+1]) != 0) strcpy (niz, s.niz); }

String::~String () { delete [] niz; niz = 0; }

void String::pisi () const { cout << niz; }

int main () {
  String pozdrav ("Pozdrav svima");   // Poziva se String (char *).
  String a = pozdrav;                 // Poziva se String (String &).
  String b;                           // Poziva se String ().
  cout << "pozdrav = "; pozdrav.pisi (); cout << endl;
  cout << "a       = "; a.pisi ()      ; cout << endl;
  return 0;
} // Ovde se poziva destruktor za sva tri objekta.
